

/* CSS Document - ../styles/menus.css */

/*---------------------------------------------------------------------------------------------------------------------------------------------

                                                      MENUS DEROULANTS DYNAMIQUES EN CSS

-----------------------------------------------------------------------------------------------------------------------------------------------

                                Ce fichier de styles a été géneré de façon automatique par le script menustyles.gen.php

                                   Le fichier de menus associés est géneré automatiquement par le script menus.gen.php 

                                                (c) MGD Software - http://mgd-software.myftp.org

                                        d'après des feuilles de styles de Eric Munier (http://calva.asso.fr)

---------------------------------------------------------------------------------------------------------------------------------------------*/



/* Définit la lageur des menus horizontaux */

#menucontainer {

	width: 1000px;

	margin: auto;

}



/* Définit les marges des menus */

#menu1 {

  margin: 0px;

  padding: 0px;

}



/* Définit la position, la taille, la police et les marges des menus */

#nav {

/*  float: left; */

  padding: 0px;

  margin: 0px;

  position: relative;

  z-index: 999;

  font-family: Georgia, Times New Roman, Times, serif;

  font-size: 12px;

  font-weight: bold;

}



/* Définit les marges, la couleur et la décoration des liens dans les menus */

#nav a {

  margin-top: 0px;

  margin-bottom: 0px;

  margin-left: 0px;

  vertical-align: middle;

  padding: 0px;

  text-decoration: none;

  background-repeat:repeat-x;

  color: #020;

}



/* Définit la position, la bordure, les marges, la taille, la couleur, la bordure et l'image de fond de la première liste des menus */

#nav li {

  display: inline;

  border-width: 1px;

  border-style: solid;

  float: left;

  background-color: #EFF;            /* Couleur de fond des boutons */

  line-height: 24px;

  height: 24px;                      /* Hauteur des boutons */

  width: 140px;                      /* Largeur des boutons */

  margin: 0px 0px 0px 0px;                     /* Espacement entre les boutons */

  border-color: #020;              /* Couleur des bords - Ne pas modifier le OFF */

  background-image: url(/images/btnoff_vert.jpg);

  text-align: center;

}



/* Définit la visibilite des liens dans la première liste des menus */

#nav li a {

  display: block;

  padding:0px;

}



/* Définit les couleurs de fond, de police et de bordure, les marges et la bordure lors du survol du lien dans la première liste des menus */

#nav li a:hover {

  padding:0px;

  margin:0px;

  background-repeat:repeat-x;

  border-style: none;    /* S'il y a des images, il est préférable de mettre 'none' sinon 'solid' */

  border-width: 1px;

  color: #EFF;                       /* Couleur du texte des boutons */

  background-color: #020;            /* Couleur de fond des boutons */

  border-color: #EFF;                /* Couleur des bords - Ne pas modifier le ON */

  background-image:url(/images/btnon_vert.jpg);

}



/* Position de la flèche vers les sous-menus de niveau 3 et inférieurs */

#nav li a img {

  float: right;

  margin-top: 9.5px;

  border: none;

}



/* Définit l'invisibilité de la seconde liste des menus */

#nav ul ul {

  display: none;

  padding: 0px;

}



/* Définit la largeur des sous-menus de rang 2 */

#nav ul ul li {

  width: 180px;

  margin: 0px;

}



/* Définit la visibilité de la seconde liste des menus lorsque l'item de la première liste est survolé */

#nav li:hover ul.niveau2 {

  display: block;

  padding:0px;

  float: left;

  position: relative;

  top: 0px;

  left: -1px;

}



/* Définit la position de la deuxième liste de menus lorsque l'item de la première liste est survolé */

#nav li ul:hover {

  padding:0px;

}



/* Définit la visibilité et la position de la troisième liste des menus lorsque l'item de la deuxieme liste est survolé */

#nav li li:hover ul.niveau3 {

  display: block;

  position: relative;

  padding:0px;

  left: 181px;

  top: -25px;

}



/* Définit la largeur des sous-menus de rang 3 */

#nav ul ul ul li {

  width: 180px;

}



/* Définit la position et la marge de la troisième liste des menus lorsqu'elle est survolée */

#nav li li ul:hover {

  padding:0px;  

  position: relative;

  margin-top: 0px;

}



/* Définit la visibilite et la position de la quatrième liste des menus lorsque l'item de la deuxième liste est survolé */

#nav li li li:hover ul {

  display: block;

  position: relative;

  padding:0px;

}



/* Définit la position de la quatrième liste des menus lorsque l'item de la deuxième liste est survolé */

#nav li li li:hover ul {

  left: 181px;

  top: -25px;

}

/* Définit la largeur des sous-menus de rang 4 */

#nav ul ul ul ul li {

  width: 120px;

}

